package com.gh.common.provider

import com.gh.gamecenter.BuildConfig
import com.gh.gamecenter.core.provider.IBuildConfigProvider

@com.therouter.inject.ServiceProvider
class BuildConfigImpl : IBuildConfigProvider {
    override fun getApplicationId(): String = BuildConfig.APPLICATION_ID

    override fun getVersionName(): String = BuildConfig.VERSION_NAME

    override fun getExposureVersion(): String = BuildConfig.EXPOSURE_VERSION

    override fun isDebug(): Boolean = BuildConfig.DEBUG
    override fun isGATApp(): Boolean = BuildConfig.IS_GAT_APP

    override fun getApiHost(): String = BuildConfig.API_HOST

    override fun getDevApiHost(): String = BuildConfig.DEV_API_HOST

    override fun getNewApiHost(): String = BuildConfig.NEW_API_HOST

    override fun getNewDevApiHost(): String = BuildConfig.NEW_DEV_API_HOST

    override fun getVApiHost(): String = BuildConfig.VAPI_HOST

    override fun getVDevApiHost(): String = BuildConfig.DEV_VAPI_HOST

    override fun getWGameCPMApiHost(): String = BuildConfig.WGAME_CPM_API_HOST

    override fun getWGameCPMBusiAppId(): String = BuildConfig.WGAME_CPM_BUSIAPPID

    override fun getLogProducerProject(): String = BuildConfig.LOG_HUB_PROJECT

    override fun getDspApiHost(): String = BuildConfig.DSP_API_HOST
}